> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /wantedly/projects/search

> Search Wantedly projects (job postings) by keyword and filters

**Price:** 5 credits per 50 results



## OpenAPI

````yaml /openapi/jobs.json post /api/wantedly/projects/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/wantedly/projects/search:
    post:
      tags:
        - /wantedly
      summary: /wantedly/projects/search
      description: |-
        Search Wantedly projects (job postings) by keyword and filters

        **Price:** 5 credits per 50 results
      operationId: __api_wantedly_projects_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WantedlyProjectsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WantedlyProjectSearchHit'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WantedlyProjectsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keyword:
          type: string
          default: ''
        count:
          type: integer
          minimum: 1
        order:
          $ref: '#/components/schemas/WantedlyOrder'
          default: mixed
        hiring_types:
          items:
            $ref: '#/components/schemas/WantedlyHiringType'
          type: array
          default: []
        occupation_types:
          items:
            $ref: '#/components/schemas/WantedlyOccupationType'
          type: array
          default: []
        areas:
          items:
            $ref: '#/components/schemas/WantedlyArea'
          type: array
          default: []
        feature_tags:
          items:
            $ref: '#/components/schemas/WantedlyFeatureTag'
          type: array
          default: []
      type: object
      required:
        - count
    WantedlyProjectSearchHit:
      properties:
        '@type':
          type: string
          default: WantedlyProjectSearchHit
        id:
          type: integer
        occupation:
          anyOf:
            - type: string
            - type: 'null'
        published_at:
          anyOf:
            - type: string
            - type: 'null'
        entry_count:
          anyOf:
            - type: integer
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        hiring_types:
          items:
            type: string
          type: array
          default: []
        feature_tags:
          items:
            type: string
          type: array
          default: []
        company_id:
          anyOf:
            - type: integer
            - type: 'null'
        company_name:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    WantedlyOrder:
      type: string
      enum:
        - mixed
        - popular
        - recent
    WantedlyHiringType:
      type: string
      enum:
        - newgrad
        - internship
        - mid_career
        - side_job
        - freelance
        - part_time
    WantedlyOccupationType:
      type: string
      enum:
        - jp__engineering
        - jp__mobile_engineer
        - jp__web_engineer
        - jp__infra_engineer
        - jp__systems_engineer
        - jp__qa_engineer
        - jp__data_scientist
        - jp__design_and_art
        - jp__ui_ux_designer
        - jp__graphic_designer
        - jp__art_director
        - jp__creative_director
        - jp__photographer
        - jp__video_creator
        - jp__illustrator
        - jp__pm_and_web_direction
        - jp__product_manager
        - jp__project_manager
        - jp__web_director
        - jp__editing_and_writing
        - jp__writer
        - jp__copywriter
        - jp__editor
        - jp__translator
        - jp__marketing
        - jp__web_marketing
        - jp__public_relations
        - jp__sales
        - jp__corporate_sales
        - jp__private_sales
        - jp__business_development
        - jp__customer_success_and_support
        - jp__customer_success
        - jp__customer_support
        - jp__corporate
        - jp__human_resources
        - jp__finance
        - jp__legal_affairs
        - jp__corporate_planning
        - jp__secretary
        - jp__admin_staff
        - jp__consulting
        - jp__business_consultant
        - jp__hr_consultant
        - jp__it_consultant
        - jp__marketing_consultant
        - jp__career_consultant
        - jp__medical
        - jp__physician
        - jp__dentist
        - jp__nurse
        - jp__pharmacist
        - jp__others
    WantedlyArea:
      type: string
      enum:
        - tokyo
        - osaka
        - nagoya
        - kyoto
        - fukuoka
        - sapporo
        - tohoku
        - kanto
        - hokuriku
        - tokai
        - kinki
        - chugoku
        - kyushu
    WantedlyFeatureTag:
      type: string
      enum:
        - has_attendable_members
        - remote_visit
        - weekend
        - lunch
        - international
        - friend
        - student
        - funded3k
        - funded1m
        - ceo_can_code
        - ceo_is_in_20s
        - overseas
        - fresh
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````